Bug 434836 - iwl4965: BUG: scheduling while atomic messages with possibly associated hangs
iwl4965: BUG: scheduling while atomic messages with possibly associated hangs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-25 14:18 EST by Douglas E. Warner
Modified: 2008-03-17 15:07 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.6.24.3-34.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-17 15:07:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Douglas E. Warner 2008-02-25 14:18:12 EST
Description of problem:
On my Dell Latitude D630 I'm experiencing system hangs after ~8-12 hrs of 
operation (not exactly sure how long yet) with no apparent system load 
(typically hangs while no one is using the computer).

The only thing I've been able to find so far are kernel messages similar to 
(full call traces below):

BUG: scheduling while atomic: swapper/0x00000100/0

bad: scheduling from the idle thread!



Version-Release number of selected component (if applicable):
$ rpm -q kernel
kernel-2.6.23.14-115.fc8.x86_64
kernel-2.6.23.15-137.fc8.x86_64

$ uname -a
Linux taonas.home.silfreed.net 2.6.23.15-137.fc8 #1 SMP Sun Feb 10 17:03:13 
EST 2008 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:
Difficult to reproduce; seems like I just need to wait until enough time has 
passed.


Additional info:
BUG: scheduling while atomic: swapper/0x00000100/0

Call Trace:
 <IRQ>  [<ffffffff8125bae1>] __sched_text_start+0x91/0x6bd
 [<ffffffff8103f76b>] lock_timer_base+0x26/0x4b
 [<ffffffff8103f900>] __mod_timer+0xc3/0xd2
 [<ffffffff8125c974>] schedule_timeout+0x8a/0xad
 [<ffffffff8103f4a6>] process_timeout+0x0/0x5
 [<ffffffff8125c96f>] schedule_timeout+0x85/0xad
 [<ffffffff88178565>] :iwl4965:iwl4965_send_cmd_sync+0x7b3/0x16e8
 [<ffffffff810493f5>] autoremove_wake_function+0x0/0x2e
 [<ffffffff8817968a>] :iwl4965:iwl4965_send_rxon_assoc+0x11f/0x160
 [<ffffffff8815647e>] :mac80211:ieee80211_rx_mgmt_beacon+0x187/0x199
 [<ffffffff881564e0>] :mac80211:ieee80211_sta_rx_scan+0x50/0x6a
 [<ffffffff8815ca94>] :mac80211:__ieee80211_rx_handle_packet+0x87e/0x8fc
 [<ffffffff8818b230>] :iwl4965:iwl4965_rx_reply_rx+0x95d/0x98c
 [<ffffffff8102daa9>] enqueue_task+0x3c/0x4f
 [<ffffffff8102de75>] update_curr_load+0x6c/0x82
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8814ed44>] :mac80211:ieee80211_tasklet_handler+0x49/0xcc
 [<ffffffff8103cade>] tasklet_action+0x53/0x9c
 [<ffffffff8103c9ed>] __do_softirq+0x55/0xc3
 [<ffffffff8100cd5c>] call_softirq+0x1c/0x28
 [<ffffffff8100de8d>] do_softirq+0x2c/0x85
 [<ffffffff8103c953>] irq_exit+0x3f/0x84
 [<ffffffff8100e149>] do_IRQ+0x13e/0x161
 [<ffffffff8100c0e1>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff81167d2b>] acpi_idle_enter_bm+0x265/0x2d1
 [<ffffffff81167d21>] acpi_idle_enter_bm+0x25b/0x2d1
 [<ffffffff811d644a>] cpuidle_idle_call+0x74/0xa6
 [<ffffffff811d63d6>] cpuidle_idle_call+0x0/0xa6
 [<ffffffff8100ae8b>] cpu_idle+0x94/0xbc
 [<ffffffff81433baa>] start_kernel+0x2cf/0x2db
 [<ffffffff81433140>] _sinittext+0x140/0x144

bad: scheduling from the idle thread!

Call Trace:
 <IRQ>  [<ffffffff81033a9f>] dequeue_task_idle+0x26/0x31
 [<ffffffff8102d3a6>] dequeue_task+0x13/0x21
 [<ffffffff8102deb3>] deactivate_task+0x28/0x4d
 [<ffffffff8125bb7d>] __sched_text_start+0x12d/0x6bd
 [<ffffffff8103f76b>] lock_timer_base+0x26/0x4b
 [<ffffffff8103f900>] __mod_timer+0xc3/0xd2
 [<ffffffff8125c974>] schedule_timeout+0x8a/0xad
 [<ffffffff8103f4a6>] process_timeout+0x0/0x5
 [<ffffffff8125c96f>] schedule_timeout+0x85/0xad
 [<ffffffff88178565>] :iwl4965:iwl4965_send_cmd_sync+0x7b3/0x16e8
 [<ffffffff810493f5>] autoremove_wake_function+0x0/0x2e
 [<ffffffff8817968a>] :iwl4965:iwl4965_send_rxon_assoc+0x11f/0x160
 [<ffffffff8815647e>] :mac80211:ieee80211_rx_mgmt_beacon+0x187/0x199
 [<ffffffff881564e0>] :mac80211:ieee80211_sta_rx_scan+0x50/0x6a
 [<ffffffff8815ca94>] :mac80211:__ieee80211_rx_handle_packet+0x87e/0x8fc
 [<ffffffff8818b230>] :iwl4965:iwl4965_rx_reply_rx+0x95d/0x98c
 [<ffffffff8102daa9>] enqueue_task+0x3c/0x4f
 [<ffffffff8102de75>] update_curr_load+0x6c/0x82
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8814ed44>] :mac80211:ieee80211_tasklet_handler+0x49/0xcc
 [<ffffffff8103cade>] tasklet_action+0x53/0x9c
 [<ffffffff8103c9ed>] __do_softirq+0x55/0xc3
 [<ffffffff8100cd5c>] call_softirq+0x1c/0x28
 [<ffffffff8100de8d>] do_softirq+0x2c/0x85
 [<ffffffff8103c953>] irq_exit+0x3f/0x84
 [<ffffffff8100e149>] do_IRQ+0x13e/0x161
 [<ffffffff8100c0e1>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff81167d2b>] acpi_idle_enter_bm+0x265/0x2d1
 [<ffffffff81167d21>] acpi_idle_enter_bm+0x25b/0x2d1
 [<ffffffff811d644a>] cpuidle_idle_call+0x74/0xa6
 [<ffffffff811d63d6>] cpuidle_idle_call+0x0/0xa6
 [<ffffffff8100ae8b>] cpu_idle+0x94/0xbc
 [<ffffffff81433baa>] start_kernel+0x2cf/0x2db
 [<ffffffff81433140>] _sinittext+0x140/0x144

BUG: scheduling while atomic: swapper/0x00000100/0

Call Trace:
 <IRQ>  [<ffffffff8125bae1>] __sched_text_start+0x91/0x6bd
 [<ffffffff8103f76b>] lock_timer_base+0x26/0x4b
 [<ffffffff8103f900>] __mod_timer+0xc3/0xd2
 [<ffffffff8125c974>] schedule_timeout+0x8a/0xad
 [<ffffffff8103f4a6>] process_timeout+0x0/0x5
 [<ffffffff8125c96f>] schedule_timeout+0x85/0xad
 [<ffffffff88178565>] :iwl4965:iwl4965_send_cmd_sync+0x7b3/0x16e8
 [<ffffffff810493f5>] autoremove_wake_function+0x0/0x2e
 [<ffffffff8817968a>] :iwl4965:iwl4965_send_rxon_assoc+0x11f/0x160
 [<ffffffff8815647e>] :mac80211:ieee80211_rx_mgmt_beacon+0x187/0x199
 [<ffffffff881564e0>] :mac80211:ieee80211_sta_rx_scan+0x50/0x6a
 [<ffffffff8815ca94>] :mac80211:__ieee80211_rx_handle_packet+0x87e/0x8fc
 [<ffffffff8818b230>] :iwl4965:iwl4965_rx_reply_rx+0x95d/0x98c
 [<ffffffff8102daa9>] enqueue_task+0x3c/0x4f
 [<ffffffff8102de75>] update_curr_load+0x6c/0x82
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8814ed44>] :mac80211:ieee80211_tasklet_handler+0x49/0xcc
 [<ffffffff8103cade>] tasklet_action+0x53/0x9c
 [<ffffffff8103c9ed>] __do_softirq+0x55/0xc3
 [<ffffffff8100cd5c>] call_softirq+0x1c/0x28
 [<ffffffff8100de8d>] do_softirq+0x2c/0x85
 [<ffffffff8103c953>] irq_exit+0x3f/0x84
 [<ffffffff8100e149>] do_IRQ+0x13e/0x161
 [<ffffffff8100c0e1>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff81167d2b>] acpi_idle_enter_bm+0x265/0x2d1
 [<ffffffff81167d21>] acpi_idle_enter_bm+0x25b/0x2d1
 [<ffffffff811d644a>] cpuidle_idle_call+0x74/0xa6
 [<ffffffff811d63d6>] cpuidle_idle_call+0x0/0xa6
 [<ffffffff8100ae8b>] cpu_idle+0x94/0xbc
 [<ffffffff81433baa>] start_kernel+0x2cf/0x2db
 [<ffffffff81433140>] _sinittext+0x140/0x144

bad: scheduling from the idle thread!

Call Trace:
 <IRQ>  [<ffffffff81033a9f>] dequeue_task_idle+0x26/0x31
 [<ffffffff8102d3a6>] dequeue_task+0x13/0x21
 [<ffffffff8102deb3>] deactivate_task+0x28/0x4d
 [<ffffffff8125bb7d>] __sched_text_start+0x12d/0x6bd
 [<ffffffff8103f76b>] lock_timer_base+0x26/0x4b
 [<ffffffff8103f900>] __mod_timer+0xc3/0xd2
 [<ffffffff8125c974>] schedule_timeout+0x8a/0xad
 [<ffffffff8103f4a6>] process_timeout+0x0/0x5
 [<ffffffff8125c96f>] schedule_timeout+0x85/0xad
 [<ffffffff88178565>] :iwl4965:iwl4965_send_cmd_sync+0x7b3/0x16e8
 [<ffffffff810493f5>] autoremove_wake_function+0x0/0x2e
 [<ffffffff8817968a>] :iwl4965:iwl4965_send_rxon_assoc+0x11f/0x160
 [<ffffffff8815647e>] :mac80211:ieee80211_rx_mgmt_beacon+0x187/0x199
 [<ffffffff881564e0>] :mac80211:ieee80211_sta_rx_scan+0x50/0x6a
 [<ffffffff8815ca94>] :mac80211:__ieee80211_rx_handle_packet+0x87e/0x8fc
 [<ffffffff8818b230>] :iwl4965:iwl4965_rx_reply_rx+0x95d/0x98c
 [<ffffffff8102daa9>] enqueue_task+0x3c/0x4f
 [<ffffffff8102de75>] update_curr_load+0x6c/0x82
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8814ed44>] :mac80211:ieee80211_tasklet_handler+0x49/0xcc
 [<ffffffff8103cade>] tasklet_action+0x53/0x9c
 [<ffffffff8103c9ed>] __do_softirq+0x55/0xc3
 [<ffffffff8100cd5c>] call_softirq+0x1c/0x28
 [<ffffffff8100de8d>] do_softirq+0x2c/0x85
 [<ffffffff8103c953>] irq_exit+0x3f/0x84
 [<ffffffff8100e149>] do_IRQ+0x13e/0x161
 [<ffffffff8100c0e1>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff81167d2b>] acpi_idle_enter_bm+0x265/0x2d1
 [<ffffffff81167d21>] acpi_idle_enter_bm+0x25b/0x2d1
 [<ffffffff811d644a>] cpuidle_idle_call+0x74/0xa6
 [<ffffffff811d63d6>] cpuidle_idle_call+0x0/0xa6
 [<ffffffff8100ae8b>] cpu_idle+0x94/0xbc
 [<ffffffff81433baa>] start_kernel+0x2cf/0x2db
 [<ffffffff81433140>] _sinittext+0x140/0x144

BUG: scheduling while atomic: swapper/0x00000100/0

Call Trace:
 <IRQ>  [<ffffffff8125bae1>] __sched_text_start+0x91/0x6bd
 [<ffffffff8103f76b>] lock_timer_base+0x26/0x4b
 [<ffffffff8103f900>] __mod_timer+0xc3/0xd2
 [<ffffffff8125c974>] schedule_timeout+0x8a/0xad
 [<ffffffff8103f4a6>] process_timeout+0x0/0x5
 [<ffffffff8125c96f>] schedule_timeout+0x85/0xad
 [<ffffffff88178565>] :iwl4965:iwl4965_send_cmd_sync+0x7b3/0x16e8
 [<ffffffff810493f5>] autoremove_wake_function+0x0/0x2e
 [<ffffffff8817968a>] :iwl4965:iwl4965_send_rxon_assoc+0x11f/0x160
 [<ffffffff8815647e>] :mac80211:ieee80211_rx_mgmt_beacon+0x187/0x199
 [<ffffffff881564e0>] :mac80211:ieee80211_sta_rx_scan+0x50/0x6a
 [<ffffffff8815ca94>] :mac80211:__ieee80211_rx_handle_packet+0x87e/0x8fc
 [<ffffffff8818b230>] :iwl4965:iwl4965_rx_reply_rx+0x95d/0x98c
 [<ffffffff8102daa9>] enqueue_task+0x3c/0x4f
 [<ffffffff8102de75>] update_curr_load+0x6c/0x82
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8814ed44>] :mac80211:ieee80211_tasklet_handler+0x49/0xcc
 [<ffffffff8103cade>] tasklet_action+0x53/0x9c
 [<ffffffff8103c9ed>] __do_softirq+0x55/0xc3
 [<ffffffff8100cd5c>] call_softirq+0x1c/0x28
 [<ffffffff8100de8d>] do_softirq+0x2c/0x85
 [<ffffffff8103c953>] irq_exit+0x3f/0x84
 [<ffffffff8100e149>] do_IRQ+0x13e/0x161
 [<ffffffff8100c0e1>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff81167d2b>] acpi_idle_enter_bm+0x265/0x2d1
 [<ffffffff81167d21>] acpi_idle_enter_bm+0x25b/0x2d1
 [<ffffffff811d644a>] cpuidle_idle_call+0x74/0xa6
 [<ffffffff811d63d6>] cpuidle_idle_call+0x0/0xa6
 [<ffffffff8100ae8b>] cpu_idle+0x94/0xbc
 [<ffffffff81433baa>] start_kernel+0x2cf/0x2db
 [<ffffffff81433140>] _sinittext+0x140/0x144

bad: scheduling from the idle thread!

Call Trace:
 <IRQ>  [<ffffffff81033a9f>] dequeue_task_idle+0x26/0x31
 [<ffffffff8102d3a6>] dequeue_task+0x13/0x21
 [<ffffffff8102deb3>] deactivate_task+0x28/0x4d
 [<ffffffff8125bb7d>] __sched_text_start+0x12d/0x6bd
 [<ffffffff8103f76b>] lock_timer_base+0x26/0x4b
 [<ffffffff8103f900>] __mod_timer+0xc3/0xd2
 [<ffffffff8125c974>] schedule_timeout+0x8a/0xad
 [<ffffffff8103f4a6>] process_timeout+0x0/0x5
 [<ffffffff8125c96f>] schedule_timeout+0x85/0xad
 [<ffffffff88178565>] :iwl4965:iwl4965_send_cmd_sync+0x7b3/0x16e8
 [<ffffffff810493f5>] autoremove_wake_function+0x0/0x2e
 [<ffffffff8817968a>] :iwl4965:iwl4965_send_rxon_assoc+0x11f/0x160
 [<ffffffff8815647e>] :mac80211:ieee80211_rx_mgmt_beacon+0x187/0x199
 [<ffffffff881564e0>] :mac80211:ieee80211_sta_rx_scan+0x50/0x6a
 [<ffffffff8815ca94>] :mac80211:__ieee80211_rx_handle_packet+0x87e/0x8fc
 [<ffffffff8818b230>] :iwl4965:iwl4965_rx_reply_rx+0x95d/0x98c
 [<ffffffff8102daa9>] enqueue_task+0x3c/0x4f
 [<ffffffff8102de75>] update_curr_load+0x6c/0x82
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8814ed44>] :mac80211:ieee80211_tasklet_handler+0x49/0xcc
 [<ffffffff8103cade>] tasklet_action+0x53/0x9c
 [<ffffffff8103c9ed>] __do_softirq+0x55/0xc3
 [<ffffffff8100cd5c>] call_softirq+0x1c/0x28
 [<ffffffff8100de8d>] do_softirq+0x2c/0x85
 [<ffffffff8103c953>] irq_exit+0x3f/0x84
 [<ffffffff8100e149>] do_IRQ+0x13e/0x161
 [<ffffffff8100c0e1>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff81167d2b>] acpi_idle_enter_bm+0x265/0x2d1
 [<ffffffff81167d21>] acpi_idle_enter_bm+0x25b/0x2d1
 [<ffffffff811d644a>] cpuidle_idle_call+0x74/0xa6
 [<ffffffff811d63d6>] cpuidle_idle_call+0x0/0xa6
 [<ffffffff8100ae8b>] cpu_idle+0x94/0xbc
 [<ffffffff81433baa>] start_kernel+0x2cf/0x2db
 [<ffffffff81433140>] _sinittext+0x140/0x144

BUG: scheduling while atomic: swapper/0x00000100/0

Call Trace:
 <IRQ>  [<ffffffff8125bae1>] __sched_text_start+0x91/0x6bd
 [<ffffffff8103f76b>] lock_timer_base+0x26/0x4b
 [<ffffffff8103f900>] __mod_timer+0xc3/0xd2
 [<ffffffff8125c974>] schedule_timeout+0x8a/0xad
 [<ffffffff8103f4a6>] process_timeout+0x0/0x5
 [<ffffffff8125c96f>] schedule_timeout+0x85/0xad
 [<ffffffff88178565>] :iwl4965:iwl4965_send_cmd_sync+0x7b3/0x16e8
 [<ffffffff810493f5>] autoremove_wake_function+0x0/0x2e
 [<ffffffff8817968a>] :iwl4965:iwl4965_send_rxon_assoc+0x11f/0x160
 [<ffffffff8815647e>] :mac80211:ieee80211_rx_mgmt_beacon+0x187/0x199
 [<ffffffff881564e0>] :mac80211:ieee80211_sta_rx_scan+0x50/0x6a
 [<ffffffff8815ca94>] :mac80211:__ieee80211_rx_handle_packet+0x87e/0x8fc
 [<ffffffff8818b230>] :iwl4965:iwl4965_rx_reply_rx+0x95d/0x98c
 [<ffffffff8102daa9>] enqueue_task+0x3c/0x4f
 [<ffffffff8102de75>] update_curr_load+0x6c/0x82
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8814ed44>] :mac80211:ieee80211_tasklet_handler+0x49/0xcc
 [<ffffffff8103cade>] tasklet_action+0x53/0x9c
 [<ffffffff8103c9ed>] __do_softirq+0x55/0xc3
 [<ffffffff8100cd5c>] call_softirq+0x1c/0x28
 [<ffffffff8100de8d>] do_softirq+0x2c/0x85
 [<ffffffff8103c953>] irq_exit+0x3f/0x84
 [<ffffffff8100e149>] do_IRQ+0x13e/0x161
 [<ffffffff8100c0e1>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff81167d2b>] acpi_idle_enter_bm+0x265/0x2d1
 [<ffffffff81167d21>] acpi_idle_enter_bm+0x25b/0x2d1
 [<ffffffff811d644a>] cpuidle_idle_call+0x74/0xa6
 [<ffffffff811d63d6>] cpuidle_idle_call+0x0/0xa6
 [<ffffffff8100ae8b>] cpu_idle+0x94/0xbc
 [<ffffffff81433baa>] start_kernel+0x2cf/0x2db
 [<ffffffff81433140>] _sinittext+0x140/0x144

bad: scheduling from the idle thread!

Call Trace:
 <IRQ>  [<ffffffff81033a9f>] dequeue_task_idle+0x26/0x31
 [<ffffffff8102d3a6>] dequeue_task+0x13/0x21
 [<ffffffff8102deb3>] deactivate_task+0x28/0x4d
 [<ffffffff8125bb7d>] __sched_text_start+0x12d/0x6bd
 [<ffffffff8103f76b>] lock_timer_base+0x26/0x4b
 [<ffffffff8103f900>] __mod_timer+0xc3/0xd2
 [<ffffffff8125c974>] schedule_timeout+0x8a/0xad
 [<ffffffff8103f4a6>] process_timeout+0x0/0x5
 [<ffffffff8125c96f>] schedule_timeout+0x85/0xad
 [<ffffffff88178565>] :iwl4965:iwl4965_send_cmd_sync+0x7b3/0x16e8
 [<ffffffff810493f5>] autoremove_wake_function+0x0/0x2e
 [<ffffffff8817968a>] :iwl4965:iwl4965_send_rxon_assoc+0x11f/0x160
 [<ffffffff8815647e>] :mac80211:ieee80211_rx_mgmt_beacon+0x187/0x199
 [<ffffffff881564e0>] :mac80211:ieee80211_sta_rx_scan+0x50/0x6a
 [<ffffffff8815ca94>] :mac80211:__ieee80211_rx_handle_packet+0x87e/0x8fc
 [<ffffffff8818b230>] :iwl4965:iwl4965_rx_reply_rx+0x95d/0x98c
 [<ffffffff8102daa9>] enqueue_task+0x3c/0x4f
 [<ffffffff8102de75>] update_curr_load+0x6c/0x82
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8814ed44>] :mac80211:ieee80211_tasklet_handler+0x49/0xcc
 [<ffffffff8103cade>] tasklet_action+0x53/0x9c
 [<ffffffff8103c9ed>] __do_softirq+0x55/0xc3
 [<ffffffff8100cd5c>] call_softirq+0x1c/0x28
 [<ffffffff8100de8d>] do_softirq+0x2c/0x85
 [<ffffffff8103c953>] irq_exit+0x3f/0x84
 [<ffffffff8100e149>] do_IRQ+0x13e/0x161
 [<ffffffff8100c0e1>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff81167d2b>] acpi_idle_enter_bm+0x265/0x2d1
 [<ffffffff81167d21>] acpi_idle_enter_bm+0x25b/0x2d1
 [<ffffffff811d644a>] cpuidle_idle_call+0x74/0xa6
 [<ffffffff811d63d6>] cpuidle_idle_call+0x0/0xa6
 [<ffffffff8100ae8b>] cpu_idle+0x94/0xbc
 [<ffffffff81433baa>] start_kernel+0x2cf/0x2db
 [<ffffffff81433140>] _sinittext+0x140/0x144

BUG: scheduling while atomic: swapper/0x00000100/0

Call Trace:
 <IRQ>  [<ffffffff8125bae1>] __sched_text_start+0x91/0x6bd
 [<ffffffff8103f76b>] lock_timer_base+0x26/0x4b
 [<ffffffff8103f900>] __mod_timer+0xc3/0xd2
 [<ffffffff8125c974>] schedule_timeout+0x8a/0xad
 [<ffffffff8103f4a6>] process_timeout+0x0/0x5
 [<ffffffff8125c96f>] schedule_timeout+0x85/0xad
 [<ffffffff88178565>] :iwl4965:iwl4965_send_cmd_sync+0x7b3/0x16e8
 [<ffffffff810493f5>] autoremove_wake_function+0x0/0x2e
 [<ffffffff8817968a>] :iwl4965:iwl4965_send_rxon_assoc+0x11f/0x160
 [<ffffffff8815647e>] :mac80211:ieee80211_rx_mgmt_beacon+0x187/0x199
 [<ffffffff881564e0>] :mac80211:ieee80211_sta_rx_scan+0x50/0x6a
 [<ffffffff8815ca94>] :mac80211:__ieee80211_rx_handle_packet+0x87e/0x8fc
 [<ffffffff8818b230>] :iwl4965:iwl4965_rx_reply_rx+0x95d/0x98c
 [<ffffffff8102daa9>] enqueue_task+0x3c/0x4f
 [<ffffffff8102de75>] update_curr_load+0x6c/0x82
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8814ed44>] :mac80211:ieee80211_tasklet_handler+0x49/0xcc
 [<ffffffff8103cade>] tasklet_action+0x53/0x9c
 [<ffffffff8103c9ed>] __do_softirq+0x55/0xc3
 [<ffffffff8100cd5c>] call_softirq+0x1c/0x28
 [<ffffffff8100de8d>] do_softirq+0x2c/0x85
 [<ffffffff8103c953>] irq_exit+0x3f/0x84
 [<ffffffff8100e149>] do_IRQ+0x13e/0x161
 [<ffffffff8100c0e1>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff81167d2b>] acpi_idle_enter_bm+0x265/0x2d1
 [<ffffffff81167d21>] acpi_idle_enter_bm+0x25b/0x2d1
 [<ffffffff811d644a>] cpuidle_idle_call+0x74/0xa6
 [<ffffffff811d63d6>] cpuidle_idle_call+0x0/0xa6
 [<ffffffff8100ae8b>] cpu_idle+0x94/0xbc
 [<ffffffff81433baa>] start_kernel+0x2cf/0x2db
 [<ffffffff81433140>] _sinittext+0x140/0x144

bad: scheduling from the idle thread!

Call Trace:
 <IRQ>  [<ffffffff81033a9f>] dequeue_task_idle+0x26/0x31
 [<ffffffff8102d3a6>] dequeue_task+0x13/0x21
 [<ffffffff8102deb3>] deactivate_task+0x28/0x4d
 [<ffffffff8125bb7d>] __sched_text_start+0x12d/0x6bd
 [<ffffffff8103f76b>] lock_timer_base+0x26/0x4b
 [<ffffffff8103f900>] __mod_timer+0xc3/0xd2
 [<ffffffff8125c974>] schedule_timeout+0x8a/0xad
 [<ffffffff8103f4a6>] process_timeout+0x0/0x5
 [<ffffffff8125c96f>] schedule_timeout+0x85/0xad
 [<ffffffff88178565>] :iwl4965:iwl4965_send_cmd_sync+0x7b3/0x16e8
 [<ffffffff810493f5>] autoremove_wake_function+0x0/0x2e
 [<ffffffff8817968a>] :iwl4965:iwl4965_send_rxon_assoc+0x11f/0x160
 [<ffffffff8815647e>] :mac80211:ieee80211_rx_mgmt_beacon+0x187/0x199
 [<ffffffff881564e0>] :mac80211:ieee80211_sta_rx_scan+0x50/0x6a
 [<ffffffff8815ca94>] :mac80211:__ieee80211_rx_handle_packet+0x87e/0x8fc
 [<ffffffff8818b230>] :iwl4965:iwl4965_rx_reply_rx+0x95d/0x98c
 [<ffffffff8102daa9>] enqueue_task+0x3c/0x4f
 [<ffffffff8102de75>] update_curr_load+0x6c/0x82
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8814ed44>] :mac80211:ieee80211_tasklet_handler+0x49/0xcc
 [<ffffffff8103cade>] tasklet_action+0x53/0x9c
 [<ffffffff8103c9ed>] __do_softirq+0x55/0xc3
 [<ffffffff8100cd5c>] call_softirq+0x1c/0x28
 [<ffffffff8100de8d>] do_softirq+0x2c/0x85
 [<ffffffff8103c953>] irq_exit+0x3f/0x84
 [<ffffffff8100e149>] do_IRQ+0x13e/0x161
 [<ffffffff8100c0e1>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff81167d2b>] acpi_idle_enter_bm+0x265/0x2d1
 [<ffffffff81167d21>] acpi_idle_enter_bm+0x25b/0x2d1
 [<ffffffff811d644a>] cpuidle_idle_call+0x74/0xa6
 [<ffffffff811d63d6>] cpuidle_idle_call+0x0/0xa6
 [<ffffffff8100ae8b>] cpu_idle+0x94/0xbc
 [<ffffffff81433baa>] start_kernel+0x2cf/0x2db
 [<ffffffff81433140>] _sinittext+0x140/0x144

BUG: scheduling while atomic: swapper/0x00000100/0

Call Trace:
 <IRQ>  [<ffffffff8125bae1>] __sched_text_start+0x91/0x6bd
 [<ffffffff8103f76b>] lock_timer_base+0x26/0x4b
 [<ffffffff8103f900>] __mod_timer+0xc3/0xd2
 [<ffffffff8125c974>] schedule_timeout+0x8a/0xad
 [<ffffffff8103f4a6>] process_timeout+0x0/0x5
 [<ffffffff8125c96f>] schedule_timeout+0x85/0xad
 [<ffffffff88178565>] :iwl4965:iwl4965_send_cmd_sync+0x7b3/0x16e8
 [<ffffffff810493f5>] autoremove_wake_function+0x0/0x2e
 [<ffffffff8817968a>] :iwl4965:iwl4965_send_rxon_assoc+0x11f/0x160
 [<ffffffff8815647e>] :mac80211:ieee80211_rx_mgmt_beacon+0x187/0x199
 [<ffffffff881564e0>] :mac80211:ieee80211_sta_rx_scan+0x50/0x6a
 [<ffffffff8815ca94>] :mac80211:__ieee80211_rx_handle_packet+0x87e/0x8fc
 [<ffffffff8818b230>] :iwl4965:iwl4965_rx_reply_rx+0x95d/0x98c
 [<ffffffff8102daa9>] enqueue_task+0x3c/0x4f
 [<ffffffff8102de75>] update_curr_load+0x6c/0x82
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8814ed44>] :mac80211:ieee80211_tasklet_handler+0x49/0xcc
 [<ffffffff8103cade>] tasklet_action+0x53/0x9c
 [<ffffffff8103c9ed>] __do_softirq+0x55/0xc3
 [<ffffffff8100cd5c>] call_softirq+0x1c/0x28
 [<ffffffff8100de8d>] do_softirq+0x2c/0x85
 [<ffffffff8103c953>] irq_exit+0x3f/0x84
 [<ffffffff8100e149>] do_IRQ+0x13e/0x161
 [<ffffffff8100c0e1>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff81167d2b>] acpi_idle_enter_bm+0x265/0x2d1
 [<ffffffff81167d21>] acpi_idle_enter_bm+0x25b/0x2d1
 [<ffffffff811d644a>] cpuidle_idle_call+0x74/0xa6
 [<ffffffff811d63d6>] cpuidle_idle_call+0x0/0xa6
 [<ffffffff8100ae8b>] cpu_idle+0x94/0xbc
 [<ffffffff81433baa>] start_kernel+0x2cf/0x2db
 [<ffffffff81433140>] _sinittext+0x140/0x144

bad: scheduling from the idle thread!

Call Trace:
 <IRQ>  [<ffffffff81033a9f>] dequeue_task_idle+0x26/0x31
 [<ffffffff8102d3a6>] dequeue_task+0x13/0x21
 [<ffffffff8102deb3>] deactivate_task+0x28/0x4d
 [<ffffffff8125bb7d>] __sched_text_start+0x12d/0x6bd
 [<ffffffff8103f76b>] lock_timer_base+0x26/0x4b
 [<ffffffff8103f900>] __mod_timer+0xc3/0xd2
 [<ffffffff8125c974>] schedule_timeout+0x8a/0xad
 [<ffffffff8103f4a6>] process_timeout+0x0/0x5
 [<ffffffff8125c96f>] schedule_timeout+0x85/0xad
 [<ffffffff88178565>] :iwl4965:iwl4965_send_cmd_sync+0x7b3/0x16e8
 [<ffffffff810493f5>] autoremove_wake_function+0x0/0x2e
 [<ffffffff8817968a>] :iwl4965:iwl4965_send_rxon_assoc+0x11f/0x160
 [<ffffffff8815647e>] :mac80211:ieee80211_rx_mgmt_beacon+0x187/0x199
 [<ffffffff881564e0>] :mac80211:ieee80211_sta_rx_scan+0x50/0x6a
 [<ffffffff8815ca94>] :mac80211:__ieee80211_rx_handle_packet+0x87e/0x8fc
 [<ffffffff8818b230>] :iwl4965:iwl4965_rx_reply_rx+0x95d/0x98c
 [<ffffffff8102daa9>] enqueue_task+0x3c/0x4f
 [<ffffffff8102de75>] update_curr_load+0x6c/0x82
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8814ed44>] :mac80211:ieee80211_tasklet_handler+0x49/0xcc
 [<ffffffff8103cade>] tasklet_action+0x53/0x9c
 [<ffffffff8103c9ed>] __do_softirq+0x55/0xc3
 [<ffffffff8100cd5c>] call_softirq+0x1c/0x28
 [<ffffffff8100de8d>] do_softirq+0x2c/0x85
 [<ffffffff8103c953>] irq_exit+0x3f/0x84
 [<ffffffff8100e149>] do_IRQ+0x13e/0x161
 [<ffffffff8100c0e1>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff81167d2b>] acpi_idle_enter_bm+0x265/0x2d1
 [<ffffffff81167d21>] acpi_idle_enter_bm+0x25b/0x2d1
 [<ffffffff811d644a>] cpuidle_idle_call+0x74/0xa6
 [<ffffffff811d63d6>] cpuidle_idle_call+0x0/0xa6
 [<ffffffff8100ae8b>] cpu_idle+0x94/0xbc
 [<ffffffff81433baa>] start_kernel+0x2cf/0x2db
 [<ffffffff81433140>] _sinittext+0x140/0x144

BUG: scheduling while atomic: swapper/0x00000100/0

Call Trace:
 <IRQ>  [<ffffffff8125bae1>] __sched_text_start+0x91/0x6bd
 [<ffffffff8103f76b>] lock_timer_base+0x26/0x4b
 [<ffffffff8103f900>] __mod_timer+0xc3/0xd2
 [<ffffffff8125c974>] schedule_timeout+0x8a/0xad
 [<ffffffff8103f4a6>] process_timeout+0x0/0x5
 [<ffffffff8125c96f>] schedule_timeout+0x85/0xad
 [<ffffffff88178565>] :iwl4965:iwl4965_send_cmd_sync+0x7b3/0x16e8
 [<ffffffff810493f5>] autoremove_wake_function+0x0/0x2e
 [<ffffffff8817968a>] :iwl4965:iwl4965_send_rxon_assoc+0x11f/0x160
 [<ffffffff8815647e>] :mac80211:ieee80211_rx_mgmt_beacon+0x187/0x199
 [<ffffffff881564e0>] :mac80211:ieee80211_sta_rx_scan+0x50/0x6a
 [<ffffffff8815ca94>] :mac80211:__ieee80211_rx_handle_packet+0x87e/0x8fc
 [<ffffffff8818b230>] :iwl4965:iwl4965_rx_reply_rx+0x95d/0x98c
 [<ffffffff8102daa9>] enqueue_task+0x3c/0x4f
 [<ffffffff8102de75>] update_curr_load+0x6c/0x82
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8814ed44>] :mac80211:ieee80211_tasklet_handler+0x49/0xcc
 [<ffffffff8103cade>] tasklet_action+0x53/0x9c
 [<ffffffff8103c9ed>] __do_softirq+0x55/0xc3
 [<ffffffff8100cd5c>] call_softirq+0x1c/0x28
 [<ffffffff8100de8d>] do_softirq+0x2c/0x85
 [<ffffffff8103c953>] irq_exit+0x3f/0x84
 [<ffffffff8100e149>] do_IRQ+0x13e/0x161
 [<ffffffff8100c0e1>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff81167d2b>] acpi_idle_enter_bm+0x265/0x2d1
 [<ffffffff81167d21>] acpi_idle_enter_bm+0x25b/0x2d1
 [<ffffffff811d644a>] cpuidle_idle_call+0x74/0xa6
 [<ffffffff811d63d6>] cpuidle_idle_call+0x0/0xa6
 [<ffffffff8100ae8b>] cpu_idle+0x94/0xbc
 [<ffffffff81433baa>] start_kernel+0x2cf/0x2db
 [<ffffffff81433140>] _sinittext+0x140/0x144

bad: scheduling from the idle thread!

Call Trace:
 <IRQ>  [<ffffffff81033a9f>] dequeue_task_idle+0x26/0x31
 [<ffffffff8102d3a6>] dequeue_task+0x13/0x21
 [<ffffffff8102deb3>] deactivate_task+0x28/0x4d
 [<ffffffff8125bb7d>] __sched_text_start+0x12d/0x6bd
 [<ffffffff8103f76b>] lock_timer_base+0x26/0x4b
 [<ffffffff8103f900>] __mod_timer+0xc3/0xd2
 [<ffffffff8125c974>] schedule_timeout+0x8a/0xad
 [<ffffffff8103f4a6>] process_timeout+0x0/0x5
 [<ffffffff8125c96f>] schedule_timeout+0x85/0xad
 [<ffffffff88178565>] :iwl4965:iwl4965_send_cmd_sync+0x7b3/0x16e8
 [<ffffffff810493f5>] autoremove_wake_function+0x0/0x2e
 [<ffffffff8817968a>] :iwl4965:iwl4965_send_rxon_assoc+0x11f/0x160
 [<ffffffff8815647e>] :mac80211:ieee80211_rx_mgmt_beacon+0x187/0x199
 [<ffffffff881564e0>] :mac80211:ieee80211_sta_rx_scan+0x50/0x6a
 [<ffffffff8815ca94>] :mac80211:__ieee80211_rx_handle_packet+0x87e/0x8fc
 [<ffffffff8818b230>] :iwl4965:iwl4965_rx_reply_rx+0x95d/0x98c
 [<ffffffff8102daa9>] enqueue_task+0x3c/0x4f
 [<ffffffff8102de75>] update_curr_load+0x6c/0x82
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8814ed44>] :mac80211:ieee80211_tasklet_handler+0x49/0xcc
 [<ffffffff8103cade>] tasklet_action+0x53/0x9c
 [<ffffffff8103c9ed>] __do_softirq+0x55/0xc3
 [<ffffffff8100cd5c>] call_softirq+0x1c/0x28
 [<ffffffff8100de8d>] do_softirq+0x2c/0x85
 [<ffffffff8103c953>] irq_exit+0x3f/0x84
 [<ffffffff8100e149>] do_IRQ+0x13e/0x161
 [<ffffffff8100c0e1>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff81167d2b>] acpi_idle_enter_bm+0x265/0x2d1
 [<ffffffff81167d21>] acpi_idle_enter_bm+0x25b/0x2d1
 [<ffffffff811d644a>] cpuidle_idle_call+0x74/0xa6
 [<ffffffff811d63d6>] cpuidle_idle_call+0x0/0xa6
 [<ffffffff8100ae8b>] cpu_idle+0x94/0xbc
 [<ffffffff81433baa>] start_kernel+0x2cf/0x2db
 [<ffffffff81433140>] _sinittext+0x140/0x144

iwl4965: Error sending REPLY_RXON_ASSOC: time out after 500ms.
Comment 1 Douglas E. Warner 2008-02-25 14:22:16 EST
Also forgot to mention the broken load averages after the above errors:

$ uptime
 14:21:13 up  6:01,  6 users,  load average: 686398.15, -908451.81, 369103.09
Comment 2 John W. Linville 2008-02-25 15:29:01 EST
http://bughost.org/bugzilla/show_bug.cgi?id=1394
Comment 3 Douglas E. Warner 2008-02-25 15:48:00 EST
I'm not sure if my error matches exactly with that bug; I'm only associated 
with an 802.11g WAP, not 802.11b.  Otherwise the error last reported by my 
iwl4965 is definitely in both bugs, but the circumstances aren't exactly the 
same.
Comment 4 Douglas E. Warner 2008-03-01 09:00:55 EST
FYI, I tried to setup a serial console connection to get more output when this 
problems occurs and now my laptop has run for ~2 days without the errors 
showing up.  I doubt it's resolved, but thought it might be a clue as to what 
might be going on.

My grub line used to be:
        kernel /vmlinuz-2.6.23.15-137.fc8 ro root=/dev/VolGroup00/LogVol00 
quiet

And is now:
        kernel /vmlinuz-2.6.23.15-137.fc8 ro root=/dev/VolGroup00/LogVol00 
console=ttyS0,115200 console=tty0
Comment 5 John W. Linville 2008-03-13 11:20:47 EDT
Can you replicate this with current F-8 kernels?

   http://koji.fedoraproject.org/koji/buildinfo?buildID=42735
Comment 6 Douglas E. Warner 2008-03-17 14:56:54 EDT
I've been running the latest kernel all weekend with the default options (ie, 
w/o specifying console) and have not had any lockups or the error messages 
mentioned above.

Note You need to log in before you can comment on or make changes to this bug.